----------------------------------------------------------------------------------
-- Company: 
-- Engineer: 
-- 
-- Create Date:    23:22:57 04/23/2007 
-- Design Name: 
-- Module Name:    Cnt_8bit - Behavioral 
-- Project Name: 
-- Target Devices: 
-- Tool versions: 
-- Description: 
--
-- Dependencies: 
--
-- Revision: 
-- Revision 0.01 - File Created
-- Additional Comments: 
--
----------------------------------------------------------------------------------
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;

---- Uncomment the following library declaration if instantiating
---- any Xilinx primitives in this code.
--library UNISIM;
--use UNISIM.VComponents.all;

entity Cnt_8bit is
    Port ( Reset : in  STD_LOGIC;
           Clk : in  STD_LOGIC;
           Cnt_Out : out  STD_LOGIC_VECTOR (7 downto 0));
end Cnt_8bit;

architecture Behavioral of Cnt_8bit is
-- Internal registers.
signal Cnt_Out_reg: STD_LOGIC_VECTOR (7 downto 0) := x"00";

begin
-- Internal routings.
Cnt_Out <= Cnt_Out_reg;

-- Counter process.
process (Clk)
begin  
   if (Clk'event and Clk = '1') then
      if Reset = '1' then
         Cnt_Out_reg <= x"00";
      else
         Cnt_Out_reg <= Cnt_Out_reg + 1;
      end if;
   end if;
end process;

end Behavioral;

