----------------------------------------------------------------------------------
-- Company: 
-- Engineer: 
-- 
-- Create Date:    16:20:45 04/08/2007 
-- Design Name: 
-- Module Name:    GF_Mul_Lambda - Behavioral 
-- Project Name: 
-- Target Devices: 
-- Tool versions: 
-- Description: 
--
-- Dependencies: 
--
-- Revision: 
-- Revision 0.01 - File Created
-- Additional Comments: 
--
----------------------------------------------------------------------------------
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;

---- Uncomment the following library declaration if instantiating
---- any Xilinx primitives in this code.
--library UNISIM;
--use UNISIM.VComponents.all;

entity GF_Mul_Lambda is
    Port ( GF16_In : in  STD_LOGIC_VECTOR (3 downto 0);
           GF16_Out : out  STD_LOGIC_VECTOR (3 downto 0));
end GF_Mul_Lambda;

architecture Behavioral of GF_Mul_Lambda is
-- Internal signals.
signal B: STD_LOGIC_VECTOR (3 downto 0);
begin
-- Internal routings.
B <= GF16_In;

-- Compute constant multiplication with Lambda.
process (B)
begin
   GF16_Out(3) <= B(2) xor B(0);
	GF16_Out(2) <= B(3) xor B(2) xor B(1) xor B(0);
	GF16_Out(1) <= B(3);
	GF16_Out(0) <= B(2);
end process;
			


end Behavioral;

