----------------------------------------------------------------------------------
-- Company: 
-- Engineer: 
-- 
-- Create Date:    22:18:15 04/07/2007 
-- Design Name: 
-- Module Name:    GF_Mul_Theta - Behavioral 
-- Project Name: 
-- Target Devices: 
-- Tool versions: 
-- Description: 
--
-- Dependencies: 
--
-- Revision: 
-- Revision 0.01 - File Created
-- Additional Comments: 
--
----------------------------------------------------------------------------------
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;

---- Uncomment the following library declaration if instantiating
---- any Xilinx primitives in this code.
--library UNISIM;
--use UNISIM.VComponents.all;

entity GF_Mul_Theta is
    Port ( GF4_In : in  STD_LOGIC_VECTOR (1 downto 0);
           GF4_Out : out  STD_LOGIC_VECTOR (1 downto 0));
end GF_Mul_Theta;

architecture Behavioral of GF_Mul_Theta is
-- Internal signals.
signal B: STD_LOGIC_VECTOR (1 downto 0);
begin
-- Internal routings.
B <= GF4_In;
GF4_Out(1) <= B(1) xor B(0);
GF4_Out(0) <= B(1);
end Behavioral;

